Package net.shibboleth.idp.profile.support

# Class ProfileRequestContextFlowExecutionListener

java.lang.Object
net.shibboleth.idp.profile.support.ProfileRequestContextFlowExecutionListener

All Implemented Interfaces:
  `FlowExecutionListener`

public class ProfileRequestContextFlowExecutionListener extends Object implements FlowExecutionListener
Exposes the `ProfileRequestContext` in a request attribute to make it accessible outside the Webflow execution pipeline. The PRC is stored under the key `ProfileRequestContext.BINDING_KEY`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger instance.

## Constructor Summary

Constructors
Constructor
Description
`ProfileRequestContextFlowExecutionListener()`

## Method Summary

Modifier and Type
Method
Description
`private ProfileRequestContext`
`getProfileRequestContext(RequestContext context)`
Get the profile request context bound to conversation scope.
`private ServletRequest`
`getRequest(RequestContext context)`
Get the servlet request.
`void`
`resuming(RequestContext context)`
`void`
`stateEntered(RequestContext context, StateDefinition previousState, StateDefinition newState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.webflow.execution.FlowExecutionListener

`eventSignaled, exceptionThrown, paused, requestProcessed, requestSubmitted, sessionCreating, sessionEnded, sessionEnding, sessionStarted, sessionStarting, stateEntering, transitionExecuting, viewRendered, viewRendering`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger instance.

## Constructor Details

### ProfileRequestContextFlowExecutionListener

public ProfileRequestContextFlowExecutionListener()

## Method Details

### stateEntered

public void stateEntered(RequestContext context, StateDefinition previousState, StateDefinition newState)

Specified by:
  `stateEntered` in interface `FlowExecutionListener`

### resuming

public void resuming(RequestContext context)

Specified by:
  `resuming` in interface `FlowExecutionListener`

### getProfileRequestContext

@Nullable private ProfileRequestContext getProfileRequestContext(@Nonnull RequestContext context)
Get the profile request context bound to conversation scope.

Parameters:
  `context` - Spring request context
Returns:
  the bound profile request context, or null

### getRequest

@Nullable private ServletRequest getRequest(@Nonnull RequestContext context)
Get the servlet request.

Parameters:
  `context` - Spring request context
Returns:
  servlet request, or null